---


- name: Add repository
  yum_repository:
    name: docker-ce
    description: EPEL YUM repo
    baseurl: https://download.docker.com/linux/centos/7/$basearch/stable
    gpgkey: https://download.docker.com/linux/centos/gpg
    gpgcheck: yes

# - name: Install required packages
#   yum:
#     name: "epel-release"
#     state: present

# - name: "Update all package"
#   yum:
#     name: '*'
#     state: latest

- name: Install required packages
  yum:
    name: "{{ required_package }}"
    state: present

- name: Install Docker
  yum:
    name: "{{ docker_package }}"
    state: present
  notify: restart docker

# - name: install python modules for docker
#   pip:
#     name: "{{ pip_package}}"
#     state: present
#     extra_args: "--trusted-host pypi.org --trusted-host files.pythonhosted.org"

- name: Ensure Docker is started and enabled at boot
  service:
    name: docker
    state: started
    enabled: true

- name: Ensure docker users are added to the docker group
  user:
    name: "{{ item }}"
    groups: docker
    append: true
  with_items: "{{ docker_users }}"

- name: Check current docker-compose version
  command: docker-compose --version
  register: docker_compose_current_version
  changed_when: false
  failed_when: false

- name: Delete existing docker-compose version if it's different
  file:
    path: "{{ docker_compose_path }}"
    state: absent
  when: >
    docker_compose_current_version.stdout is defined
    and docker_compose_version not in docker_compose_current_version.stdout

- name: Install Docker Compose
  get_url:
    url: https://github.com/docker/compose/releases/download/{{ docker_compose_version }}/docker-compose-Linux-x86_64
    dest: "{{ docker_compose_path }}"
    mode: 0755
